Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class HistoryCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.HistoryCommand

    class HistoryCommand
    extends ComplexCommandSupport

The 'history' command.

version:
  $Id: HistoryCommand.groovy 17536 2009-09-04 01:42:05Z glaforge $

author:
  Jason Dillon

Property Summary
`def` | `do_clear`
`def` | `do_flush`
`def` | `do_recall`
`def` | `do_show`

Constructor Summary
`HistoryCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class ComplexCommandSupport
createCompletors, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### do_clear

    def do_clear

### do_flush

    def do_flush

### do_recall

    def do_recall

### do_show

    def do_show

Constructor Detail

### HistoryCommand

    public HistoryCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2009 The Codehaus. All rights reserved.